{% extends "base_device.yaml.jinja2" %}

{% block device_setup %}
device_type: synquacer
job_name: {{ lava_job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

actions:

- deploy:
    to: downloads
    images:
      os:
        url: {{ os_url }}
        {%- set os_path, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}
        partition: 1
        format: ext4
        overlays:
          lava: true
      testexport:
        url: {{ testexport_url }}

    postprocess:
      docker:
        image: debian
        steps:
          {%- set os_basename = basename(os_path) %}
          # This will split the OS into two smaller images: xaa and xab
          - 'split -b 1280M {{ os_basename }}'
          - 'ls'

- deploy:
    to: tftp
    kernel:
        url: downloads://xaa
    dtb:
        url: downloads://xab
 
- boot:
    method: u-boot    
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: 'root'
    prompts:
      - ewaol@(.*):[/~]\$
      - root@(.*):[/~]#
    commands:
      - setenv serverip {SERVER_IP} && setenv ipaddr 172.27.16.144
      - scsi rescan && scsi dev 0 && scsi info
      - tftp 0x90000000 {KERNEL}
      - scsi write 0x90000000 0 280000
      - tftp 0x90000000 {DTB}
      - scsi write 0x90000000 280000 280000
      - echo "Starting kernel"; run bootcmd
{% endblock %}
